Uplink-Nodejs 1.0.8 Nods.js binding fo libUplink

Functions
upload_operations.cc File Reference
`#include "upload_operations.h"`
`#include <string>`
Include dependency graph for upload_operations.cc:

## Functions
napi_value | upload_set_custom_metadatac (napi_env env, napi_callback_info info)
| upload_set_custom_metadatac function is called from the javascript file there are restrictions on what can be stored in custom metadata. More...
napi_value | upload_abortc (napi_env env, napi_callback_info info)
| upload_abortc function is called from the javascript file upload_abortc function aborts the upload More...
napi_value | upload_infoc (napi_env env, napi_callback_info info)
| upload_infoc function is called from the javascript file upload_infoc upload the information . More...
napi_value | upload_commitc (napi_env env, napi_callback_info info)
| upload_commitc function is called from the javascript file upload_commitc commits the uploaded data. More...
napi_value | upload_writec (napi_env env, napi_callback_info info)
| upload_writec function is called from the javascript file upload_write uploads len(p) bytes from p to the object's data stream. any error encountered that caused the write to stop early. More...
napi_value | upload_objectc (napi_env env, napi_callback_info info)
| upload_objectc function is called from the javascript file upload_objectc starts an upload to the specified key. More...

## Function Documentation

## ◆ upload_abortc()

napi_value upload_abortc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

upload_abortc function is called from the javascript file upload_abortc function aborts the upload

Here is the call graph for this function:

## ◆ upload_commitc()

napi_value upload_commitc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

upload_commitc function is called from the javascript file upload_commitc commits the uploaded data.

Here is the call graph for this function:

## ◆ upload_infoc()

napi_value upload_infoc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

upload_infoc function is called from the javascript file upload_infoc upload the information .

Here is the call graph for this function:

## ◆ upload_objectc()

napi_value upload_objectc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

upload_objectc function is called from the javascript file upload_objectc starts an upload to the specified key.

Here is the call graph for this function:

## ◆ upload_set_custom_metadatac()

napi_value upload_set_custom_metadatac | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

upload_set_custom_metadatac function is called from the javascript file there are restrictions on what can be stored in custom metadata.

Here is the call graph for this function:

## ◆ upload_writec()

napi_value upload_writec | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

upload_writec function is called from the javascript file upload_write uploads len(p) bytes from p to the object's data stream. any error encountered that caused the write to stop early.

Here is the call graph for this function: